import { BaseProvider } from '#templates/base/provider';
import { ResidentDocument } from '#models/ResidentDocument';

export class ResidentDocumentProvider extends BaseProvider<ResidentDocument> {
	public static instance: ResidentDocumentProvider;

	public static getInstance(): ResidentDocumentProvider {
		ResidentDocumentProvider.instance ??= new ResidentDocumentProvider();
		return ResidentDocumentProvider.instance;
	}

	public static get model() {
		return ResidentDocument;
	}

	constructor() {
		super('ResidentDocument');
	}
}
